#pragma once

#include <string>

class Font {
public:
	virtual ~Font() {}
	virtual void applyFont(const std::string& in, std::string& out) const = 0;
	virtual const std::string& getName() const = 0;
	virtual bool canApply(const std::string& in) const = 0;
};